require "defines"

function toggle_gui (player) 
	if not player.gui.left["table-spacing-example"] then
		local frame = player.gui.left.add({type="frame",name="table-spacing-example"})
		-- text buttons w/ default styles
		local table = frame.add({type="table",colspan=5})
		table.add({type="button",caption="1"})
		table.add({type="button",caption="2"})
		table.add({type="button",caption="3"})
		table.add({type="button",caption="4"})
		table.add({type="button",caption="5"})
		-- spritesheet buttons, slot_table_style
		local table = frame.add({type="table",colspan=5,style="slot_table_style"})
		table.add({type="button",style="table-spacing-sprite-button-style"})
		table.add({type="button",style="table-spacing-sprite-button-style"})
		table.add({type="button",style="table-spacing-sprite-button-style"})
		table.add({type="button",style="table-spacing-sprite-button-style"})
		table.add({type="button",style="table-spacing-sprite-button-style"})
	else
		player.gui.left["table-spacing-example"].destroy()
	end
end

function init_for_player (player) 
	if not player.gui.top["table-spacing-example-toggle"] then
		player.gui.top.add({
			type="button",
			name="table-spacing-example-toggle",
			caption="toggle example"
		})
	end
end	

script.on_init(function()
	for i,p in ipairs(game.players) do
		init_for_player(p)
	end
end)

script.on_event(defines.events.on_player_created, function(event)
	init_for_player(game.players[event.player_index])
end)


script.on_event(defines.events.on_gui_click, function(event) 
	if (event.element.name == "table-spacing-example-toggle") then
		toggle_gui(game.players[event.element.player_index])
	end
end)
